%global _with_xfce 0

Summary:	Desktop Input Method configuration tool
Name:		im-chooser
Version:	1.7.4
Release:	1%{?dist}
License:	GPL-2.0-or-later AND LGPL-2.0-or-later
URL:		http://pagure.io/im-chooser/
%{!?_with_gtk2:BuildRequires:	gtk3-devel}
BuildRequires:	libSM-devel imsettings-devel >= 1.8.3
BuildRequires:	desktop-file-utils gettext
BuildRequires:	gcc
BuildRequires: make

Source0:	http://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2
##Patch0000:		%{name}-hide-desktop-in-gnome.patch

Obsoletes:	im-chooser-gnome3 < 1.4.2-2
Provides:	im-chooser-gnome3 = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

%package	common
Summary:	Common files for im-chooser subpackages
Requires:	imsettings >= 1.8.0
## https://fedorahosted.org/fpc/ticket/174
Provides:	bundled(egglib)

%description	common
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

This package contains the common libraries/files to be used in
im-chooser subpackages.



%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/im-chooser.desktop
#%%{!?_with_gtk2:desktop-file-validate $RPM_BUILD_ROOT%%{_datadir}/applications/im-chooser-panel.desktop}

rm -rf $RPM_BUILD_ROOT%{_libdir}/libimchooseui.{so,la,a}
#%%{!?_with_gtk2:rm -rf $RPM_BUILD_ROOT%%{_libdir}/control-center-1/panels/libim-chooser.{a,la}}

# disable panel so far
rm -rf $RPM_BUILD_ROOT%{_libdir}/control-center-1/panels/libim-chooser.so
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/im-chooser-panel.desktop

%find_lang %{name}


%post common -p /sbin/ldconfig
%postun common -p /sbin/ldconfig

%files
%{_bindir}/im-chooser
%{_datadir}/applications/im-chooser.desktop
%{_mandir}/man1/im-chooser.1*

%files	common -f %{name}.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/libimchooseui.so.*
%{_datadir}/icons/hicolor/*/apps/im-chooser.png
%dir %{_datadir}/imchooseui
%{_datadir}/imchooseui/imchoose.ui


%changelog
* Thu Sep 07 2023 Chair <chairou@tencent.com> - 1.7.4-1
- Rebuilt
